Welcome 1.0.0
=============

Breaking changes
----------------

### Classes

All classes were moved into the package `com.stephentuso.welcome` (update the proguard rule!)

`WelcomeScreen*` renamed to `Welcome*` (e.g. `WelcomeScreenConfiguration` -> `WelcomeConfiguration`\)

`WelcomeScreenBuilder` refactored to `WelcomeConfiguration.Builder`

Many classes and methods that weren't meant to be used outside of the library were made package-private.

### Builder methods

The `theme` methods were removed, the theme should be set in the AndroidManifest.

Builder page methods for specific layouts removed, the only method now is `page(WelcomePage page)`. A class that extends `WelcomePage` was created for each layout included in the library. The background color is no longer set by a parameter of the builder method, it is now a method of `WelcomePage`.

For example, instead of

```java
.titlePage(R.drawable.photo, "Title", R.color.red)
```

you would now use

```java
.page(new TitlePage(R.drawable.photo, "Title").background(R.color.red))
```

#### Custom pages

`WelcomeFragmentHolder` is gone, along with the builder method that used it. Use `FragmentWelcomePage` now:

```java
.page(new FragmentWelcomePage() {
    @Override
    protected Fragment fragment() {
        return new YourFragment();
    }
})
```

### Page indicator

A fade animation was added to the ViewPager indicator, and it is now the default. The `animated` style attribute was renamed to `animation`, and the valid values are `none`, `slide`, and `fade`

### Resources

Most resources other than WelcomeScreenTheme and its child themes were marked as private, and were renamed with the prefix `wel_`.

Other changes
-------------

### WelcomeActivity

The ViewPager variable `viewPager` is now accessible in subclasses, so that you can do things like use a custom `PageTransformer`.
